%define name xmms-speex
%define version 0.9.1
%define release 3mdk

Summary: Speex support for XMMS.
Name: %name
Version: %version
Release: %release
License: GPL
Group: Sound
URL: http://jzb.rapanden.dk/projects/speex-xmms
Source: http://jzb.rapanden.dk/pub/speex-xmms-0.9.1.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: xmms 
BuildRequires: xmms-devel libspeex-devel
BuildRequires: libogg-devel

%define _xmmsinputdir %(xmms-config --input-plugin-dir)

%description
Speex is a free codec specialized for speech and voice. Install
this package to be able to read speex media files in XMMS.

%prep
%setup -q -n speex-xmms

%build
make CFLAGS="$RPM_OPT_FLAGS -I%_includedir/speex"

%install
mkdir -p %{buildroot}/%{_xmmsinputdir}
install libspeex.so %{buildroot}/%{_xmmsinputdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING README 
%{_xmmsinputdir}/*.so

%changelog
* Fri Jul 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-3mdk
- fix build with new speex

* Wed Jul 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-2mdk
- fix buildrequires

* Tue Jun 29 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.1-1mdk
- mdk package

